Bug 14400 - Нет кнопки для вызова справки
: Нет кнопки для вызова справки
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-wizardface)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 14320
  Show dependency tree
 
Reported: 2008-02-12 09:43 by
Modified: 2008-04-23 15:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-12 09:43:40
На каждом шаге инсталлятора доступна справка по F1. Это не очевидно,
пользователям просто так не приходит в голову жать F1. Нужна дополнительная
кнопочка.
------- Comment #1 From 2008-02-12 10:09:21 -------
показом справки и кнопочек для неё занимается qt-browser.
------- Comment #2 From 2008-02-12 15:12:13 -------
а включением показа кнопочек занимается alterator-wizardface
------- Comment #3 From 2008-02-13 08:58:57 -------
Зерг, ты по-моему не выспался.

http://git.altlinux.org/people/zerg/packages/?p=alterator-browser-qt.git;a=commitdiff;h=769fe10e1305a39aa22f259ee5a9176a86beba17

Не было в wizard никогда такой ручки по простой причине,у нас каждой ручке
соответствует callback в моём коде. Так вот хелпу никакой callback не
соответствует по простой причине, что запуском попапов и показом справки
занимается браузер.
------- Comment #4 From 2008-02-13 12:49:51 -------
(In reply to comment #3)
> Не было в wizard никогда такой ручки
Всегда была. Остальные кнопки ты этой же ручкой добавляешь.
Я перестал это делать за alterator-wizardface.
Так что, поспи лучше сам.
------- Comment #5 From 2008-02-13 17:14:37 -------
Ручки не было, возможно ты её сделал недавно (см.comitdiff который я прислал,
ты
там просто удалял автоматическое добавление справки)

1. И что это за ручка такая?
2. Если это action, то это бред, добавлять мне action с пустым действием на
него.
2. В духе твоей идеологии wizardface: зачем я должен явно знать что ты
добавляешь именно кнопку, это же вопрос дизайна: одному нужно кнопку, а второму
просто строчку, что дескать нажмите F1 для справки. Мне вот, например, гораздо
больше нравится надпись про F1 ... но я не могу её вставить ибо она окажется
внутри "рамки".
------- Comment #6 From 2008-02-13 17:26:53 -------
(In reply to comment #5)
> 2. Если это action
ага

> , то это бред, добавлять мне action с пустым действием на него.
Никакого бреда. wizardface не просят сплясать при обработке события

> 2. В духе твоей идеологии wizardface: зачем я должен явно знать что ты
> добавляешь именно кнопку
не должен

>, это же вопрос дизайна:
ага

> Одному нужно кнопку, а второму просто строчку
Не слышал ни от кого кроме тебя ни разу про строчку.
Про кнопку слышал много раз, следовательно кнопка нужнее.

Если не будешь делать, то закрой с WONTFIX или с "Зафиксено при помощи надписи 
`Жми F1`". Оно тоже вариант.
------- Comment #7 From 2008-03-07 13:06:05 -------
done